Karia
ReferencesOpenapiEstimates

Update estimate status

PATCH
/organisation/{orgId}/workspace/{workspaceId}/origination/lead/{leadId}/estimate/{estimateId}

Update the status of an estimate in the specified organisation and workspace.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

workspaceId*integer
Range0 < value <= 9007199254740991
leadId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
estimateId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orgId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/organisation/string/workspace/1/origination/lead/string/estimate/string" \  -H "Content-Type: application/json" \  -d '{    "status": "current"  }'
{  "id": "string",  "status": "current"}